Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: Nmap 4.85BETA7 Released!
From: henry.nymann () valeosylvania com
Date: Thu, 2 Apr 2009 14:25:50 -0400

David Fifield <david () bamsoftware com> wrote on 04/02/2009 01:37:03 PM:

On Thu, Apr 02, 2009 at 11:42:22AM -0400, henry.
nymann () valeosylvania com wrote:
David Fifield <david () bamsoftware com> wrote on 04/02/2009 11:23:40 AM:

On Thu, Apr 02, 2009 at 10:50:46AM -0400, henry.
nymann () valeosylvania com wrote:
David Fifield <david () bamsoftware com> wrote on 04/02/2009 10:31:17
AM:
Okay, that output looks like it is still from 4.85BETA6. It
is possible
that you have the BETA7 of Zenmap installed but only the
BETA6 of Nmap.
Try running
   nmap --version
You should be able to do that within Zenmap. If it says
something before
4.85BETA7, then you will have to find where the old version
is installed
and remove it.

David Fifield

I did that, both in zenmap and via a command prompt, just to
be sure, and
both respond with "Nmap version 4.85BETA7".

However, the change was made to a script, is there a way to tell
the
"version" of a script?

Scripts don't have individual version numbers, but you can open the
script in a text editor and look for the presence of a
CONFICKER_ERROR_HELP table. If all else fails, download the script
from
http://nmap.org/nsedoc/scripts/smb-check-vulns.html and install it
over
your current script.

My script did have the help table, but I downloaded the one from the
URL
anyway; however, I get the same results as before.

Thanks for your patience. This error is my fault. I made a mistake in
the error-checking code, by not handling an error from all the possible
sources. I also made a mistake in testing the script, which is why it
appeared to be working for me. I'm sorry to have taken you through this
long discussion before realizing it. The upshot of all this is that the
error messages announced in the CHANGELOG don't work at all.

I committed a fix in r12864. Would you get the latest version from
http://nmap.org/nsedoc/scripts/smb-check-vulns.html and see if the
output changes?

David Fifield

Hey, no problem, at least it wasn't anything I did!  ;-)

I downloaded the new script and it works correctly as advertised.

Thank you!
Henry Nymann
This e-mail message is intended only for the use of the intended recipient(s).
The information contained therein may be confidential or privileged, and its disclosure or reproduction is strictly 
prohibited.
If you are not the intended recipient, please return it immediately to its sender at the above address and destroy it. 

_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://SecLists.Org


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]